// Copyright © Selmo Technology GmbH. All Rights Reserved

using SelmoStudio.Hmi.Plugin.Model.User;

namespace SelmoStudio.Hmi.Server.Db.Authentication
{
    public static class WellKnownPermissionClaims
    {
        public static string SystemManaging { get; } = WellKnownPermissions.ToClaimValue(WellKnownPermissions.KeySystemManage);
        public static string WriteProcessValue { get; } = WellKnownPermissions.ToClaimValue(WellKnownPermissions.KeyWriteProcessValue);
        public static string ReadProcessValue { get; } = WellKnownPermissions.ToClaimValue(WellKnownPermissions.KeyReadProcessValue);
        public static string WriteHistoryValue { get; } = WellKnownPermissions.ToClaimValue(WellKnownPermissions.KeyWriteHistoryValue);
        public static string ReadHistoryValue { get; } = WellKnownPermissions.ToClaimValue(WellKnownPermissions.KeyReadHistoryValue);
        public static string WriteSettings { get; } = WellKnownPermissions.ToClaimValue(WellKnownPermissions.KeyWriteSettings);
        public static string ReadSettings { get; } = WellKnownPermissions.ToClaimValue(WellKnownPermissions.KeyReadSettings);
    }
}